$background-black-color:              #000000;
$shadow-color-text:                   #5b5b5b;
$shadow-color-action:                 #858585;
$header-background-bar:               #1b1f3d;
$button-active:                       #b4834f;
$button-active-hover:                 #ea973e;
$button-hover:                        #636363;
$grey-shadow:                         #eeeff1;
$grey-dark:                           #444444;
$dropdown-buttons-text:               #26272b;
$dropdown-background:                 #e8e8e8;
$dropdown-background-active:          #20264a;
$search-background:                   #f4f5f7;
$button-brown:                        #b48350;
$button-brown-hover:                  #ab7337;


$blue:                                #4477ee;
$blue-hover:                          #335dbd;
$green:                               #2bad62;
$white:                               #ffffff;


$breakpoints: (
    "phone":        360px,
    "phone-wide":   480px,
    "phablet":      560px,
    "tablet-small": 640px,
    "tablet":       769px,
    "laptop":       928px,
    "desktop":      1200px,
    "desktop-wide": 1440px
);

.point{
    display: block;
    width: 3px;
    height: 3px;
    border-radius: 50%;
    background-color: #858484;
    margin: 0 4px 0 4px;
}

.vip-status{
    font-size: 11px;
    line-height: 14px;
    font-weight: 700;
    background-color: #b48350;
    color: #fff;
    padding: 0 4px;
    border-radius: 3px;
    margin-right: 5px;
}

.header{

    &.fixed{
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        z-index: 5;
    }
}

.user-area{

    #menuBar{
        width: 100%;
        max-width: 220px;
        margin-right: 90px;

        @include mq("tablet", 'max') {
            margin: 0;
            position: fixed;
            background-color: #ffffff;
            top: 70px;
            left: 0;
            z-index: 10;
            transform: translateX(-300px);
            transition: 0.3s ease-in-out;
            max-width: 300px;
            height: calc(100% - 70px);
            padding: 15px;
            overflow: scroll;
        }
    }

    &:after{

        @include mq("tablet", 'max') {
            content:"";
            transition: 0.3s ease-in-out;
        }
    }

    &.mobile-opened{

        &:after{

            @include mq("tablet", 'max') {
                content:"";
                position: fixed;
                top: 70px;
                left: 0;
                width: 100%;
                height: calc(100% - 70px);
                background-color: rgba(0,0,0,0.7);
                z-index: 5;
            }
        }

        #menuBar{

            @include mq("tablet", 'max') {
                display: block;
                transform: translateX(0px);
            }
        }

        .right-section{
            margin-top: 70px;
        }
    }
}

.section-title{
    font-size: 24px;
    line-height: 26px;
    color: #ba8c5c;
}

.section-subtitle{
    font-size: 14px;
    line-height: 16px;
    font-weight: 700;
    color: #75726e;
    margin-bottom: 4px;
}

.nav-list{
    margin: 0;
    padding: 0;

    li{
        display: block;

        a{
            display: block;
            padding: 11px 30px;
            font-size: 16px;
            line-height: 18px;
        }
    }

    & > li{

        &:not(.active){

            & > a{
                color: inherit;
                text-decoration: none;
            }
        }
    }

    &:not(.submenu-list){

        & > li{

            &.active{

                & > a{
                    background-color: #20264a;
                    color: #ffffff;
                    border-radius: 50px;

                    &:hover{
                        color: #ffffff;
                    }
                }
            } 
        }
    }

    &.submenu-list{
        padding: 10px 0;
        margin-bottom: 20px;
        border-bottom: 1px solid #d5d5d5;

        li{

            a{
                padding: 10px 40px;
                color: #444444;

                &:hover{
                    color: #ba8c5c;
                }
            }

            &.active{

                a{
                    color: #ba8c5c;
                    font-weight: 600;
                }
            }
        }
    }
}

.right-section{
    width: 100%;

    @include mq("tablet", 'min') {
        max-width: 600px;
    }
}

.box-section{

    @include mq("tablet", 'max') {
        padding: 15px;
    }

    .dropdown-selection{
        position: relative;

        & > label{
            position: absolute;
            font-size: 14px;
            z-index: 2;
            left: 15px;
            top: 5px;
            font-weight: 600;
            color: #444444;

            @include mq("tablet", "max") {
                top: 16px;
            }
        }

        .multiselect-native-select{
            width: 100%;

            .btn-group{
                width: 100%;
                height: 50px;

                @include mq("tablet", "max") {
                    height: 70px;
                }

                button.multiselect{
                    width: 100%;
                    min-width: 212px;
                    text-align: left;
                    background-color: #f4f5f7;
                    padding: 11px 14px;
                    border-radius: 2px;

                    @include mq("tablet", "max") {
                        padding: 28px 14px 16px 14px;
                        background-color: #fff;
                        border-bottom: 1px solid #d5d0ca;
                    }

                    .multiselect-selected-text{
                        position: relative;
                        top: 8px;
                        font-size: 14px;
                        text-transform: uppercase;
                        color: #b4834f;

                        @include mq("tablet", "max") {
                            top: 4px;
                        }
                    }

                    &:after{
                        position: absolute;
                        top: 50%;
                        transform: translateY(-50%);
                        right: 10px;
                        border-top: 6px solid #858585;
                        border-right: 4px solid transparent;
                        border-left: 4px solid transparent;
                    }

                    &[title="None selected"]{

                        .multiselect-selected-text{
                            color: #858585;
                        }
                    }
                }

                .multiselect-container{
                    background-color: #f4f5f7;

                    input{

                        &:before,
                        &:after{
                            background-color: #f4f5f7;
                        }
                    }
                }
            }
        }

        &.single-option{
            height: 50px;

            @include mq("tablet", "max") {
                height: 70px;
            }

            @include mq("tablet", "min") {

                .dropdown{
                    height: 50px;
                }
            }

            &:not(.no-custom-css){

                .dropdown-toggle{

                    label{
                        position: absolute;
                        top: 5px;

                        @include mq("tablet", "min") {
                            font-size: 14px;
                            z-index: 2;
                            left: 15px;
                            font-weight: 600;
                            color: #444444;
                        }
                    }

                    .dropdown-toggle-val{
                        position: relative;
                        top: 10px;

                        @include mq("tablet", "min") {
                            font-size: 14px;
                            text-transform: uppercase;
                        }

                        @include mq("tablet", "max") {
                            top: 0;
                        }
                    }
                }
            }

            .dropdown-toggle{
                padding: 10px 15px;
                background-color: #f4f5f7;

                @include mq("tablet", "max") {
                    height: 100%;
                    padding: 28px 14px 16px 14px;
                    background-color: #fff;
                    border-bottom: 1px solid #d5d0ca;
                    border-radius: 0;
                }

                .dropdown-toggle-val{
                    color: #b4834f;

                    .nothing-selected{
                        color: #858585;
                    }
                }
            }

            .dropdown-menu{
                background-color: #f4f5f7;
            }
        }

        i{
            color: #bebebe;

            &.active{
                color: #b48350;
            }
        }
    }

    .finding-location{
        position: relative;
        height: 50px;

        @include mq("tablet", "max") {
            height: 70px;
        }

        input{
            width: 100%;
            padding: 10px 40px;
            border: 0;
            border-radius: 2px;
            background-color: $search-background;
            font-weight: 700;

            &:not(:placeholder-shown) {
                text-transform: uppercase;
            }
        }

        .search-button,
        .flag-place{
            position: absolute;
            height: 100%;
            color: $shadow-color-action;
        }

        .flag-place{
            left: 20px;
            font-size: 13px;
        }

        .search-button{
            right: 20px;
            font-size: 20px
        }

        .autocomplete-items{
            position: absolute;
            top: 60px;
            width: 100%;
            padding: 20px;
            -webkit-box-shadow: 0px -1px 30px -10px rgba(0, 0, 0, 0.75);
            -moz-box-shadow: 0px -1px 30px -10px rgba(0, 0, 0, 0.75);
            box-shadow: 0px -1px 30px -10px rgba(0, 0, 0, 0.75);
            border-radius: 4px;
            max-height: 300px;
            overflow: auto;
            background-color: $grey-shadow;
            z-index: 3;

            div{
                padding: 15px 20px;
                border-radius: 50px;

                .flag-place-icon{
                    color: $grey-dark;
                    font-size: 13px;
                    margin-right: 10px;
                }

                &:hover{
                    background-color: #e9e9ed;
                }
            }
        }
    }

    .autocomplete-container{

        & > label{
            position: absolute;
            font-size: 14px;
            z-index: 2;
            left: 15px;
            top: 5px;
            font-weight: 600;
            color: #444444;
        }

        input,
        textarea{
            width: 100%;
            padding: 13px 14px;
            border: 0;
            border-radius: 2px;
            background-color: #f4f5f7;

            @include mq("tablet", "max") {
                height: 100%;
                padding: 28px 14px 16px 14px;
                background-color: #fff;
                border-bottom: 1px solid #d5d0ca;
                border-radius: 0;
            }

            &#countryInput{
                padding: 10px 40px;

                @include mq("tablet", "max") {
                    padding: 28px 14px 16px 14px;
                }
            }

            &:focus{
                outline: 0;
            }
        }

        textarea{
            resize: none;

            @include mq("tablet", "max") {
                height: 70px;
            }
        }
    }

    .group-inputs{

        @include mq("tablet", 'max') {
            width: 100%;
        }

        & > div{
            margin-right: 0;
            max-width: 145px;
            min-width: 145px;

            @include mq("tablet", 'max') {
                max-width: 100%;
                min-width: 50%;
            }

            &:first-child{
                margin-right: 4px;

                @include mq("tablet", "max") {
                    margin-right: 0px;
                }
            }
        }

        &:first-child{
            margin-right: 10px;
        }

        &.group-rates{

            .multiselect.dropdown-toggle{
                width: unset !important;
                min-width: unset !important;

            }
        }

        &.smaller{

            & > div{
                margin-right: 0;
                max-width: 130px;
                min-width: 130px;

                @include mq("tablet", 'max') {
                    min-width: 50%;
                }

                &:first-child{
                    margin-right: 4px;

                    @include mq("tablet", "max") {
                        margin-right: 0px;
                    }
                }
            }
        }
    }

    .inputs-container{

        & > .d-flex{

            @include mq("tablet", 'max') {
                flex-wrap: wrap;
            }

            & > div{
                margin-right: 10px;

                @include mq("tablet", 'max') {
                    margin-right: 0px;
                }

                &:last-child{
                    margin-right: 0px;
                }
            }
        }
    }

    .many-inputs{

        & > div{

            @include mq("tablet", 'min') {
                max-width: 294px;
            }

            &:nth-child(2n){
                margin-right: 0;
            }
        }
    }

    .dropdown-selection,
    .autocomplete-container{
        margin-bottom: 10px;

        @include mq("tablet", 'max') {
            position: relative;
        }
    }

    .div-2-cols{

        @include mq("tablet", 'max') {
            flex-wrap: wrap;
        }

        & > div{
            max-width: 265px;
            margin-right: 10px;

            @include mq("tablet", 'max') {
                max-width: unset;
                min-width: 100%;
            }

            &:nth-child(2n){
                margin-right: 0;
            }
        }
    }

    &.keywords-section{
        padding: 20px 25px;

        .button-tap{
            padding: 7px 14px;
            border-radius: 50px;
            font-size: 16px;
            line-height: 18px;
            margin: 10px 5px;
            color: #444444;
        
            &.tapped{
                background-color: #b4834f;
                color: #ffffff;
            }
        }
    }

    .block-country-trigger,
    .add-language-trigger,
    .add-other-city-trigger,
    .add-incall-trigger,
    .add-outcall-trigger,
    .add-travel-trigger,
    .add-tour-trigger{
        padding: 15px 25px;
        font-size: 14px;
        line-height: 14px;
    }

    .country-blocked-container,
    .my-languages-container,
    .other-cities-container,
    .incall-rates-container,
    .outcall-rates-container,
    .travel-rates-container,
    .my-tour-container{

        .country-blocked,
        .my-language,
        .other-city,
        .incall-rates,
        .outcall-rates,
        .travel-rates,
        .my-tour{
            display: flex;
            padding: 5px 5px 5px 5px;
            border-bottom: 1px solid #d5d5d5;

            .city-name{

                span{
                    text-transform: capitalize;
                }
            }

            .country-unblock{
                font-weight:  700;
            }

            .country-unblock,
            .language-remove,
            .city-remove,
            .incall-remove,
            .outcall-remove,
            .travel-remove,
            .tour-remove{
                cursor: pointer;
                font-size: 14px;
                line-height: 14px;

                i{
                    margin-left: 5px;
                }
            }
        }
    }

    &.common-services{

        .common-services-filters{
            margin-bottom: 10px;

            &:last-child{
                margin-bottom: 0;
            }

            .checkbox-container{

                label{
                    font-size: 16px;
                    padding-left: 26px;

                    &:before{
                        top: 3px;
                        width: 18px;
                        height: 18px;
                        background: #f4f5f7;
                    }

                    &:after{
                        top: .7em;
                        left: .38em;
                    }
                }
            }

            .autocomplete-container{
                position: relative;
                margin-bottom: 0;
                max-width: 100px;

                input{
                    padding: 8px 50px 8px 14px;
                    color: #b4834f;
                    text-align: right;
                }

                span{
                    position: absolute;
                    top: 8px;
                    right: 14px;
                    font-style: italic;
                    font-size: 16px;
                    color: #858585;
                }
            }
        }
    }

    &.working-times{

        .underline{
            padding-bottom: 10px;
            border-bottom: 1px solid #d5d5d5;
        }

        .weekdays-container{
            pointer-events: none;
            opacity: 0.5;

            .common-services-filters{
                margin-bottom: 0;

                .div-2-cols{

                   .dropdown-selection.dropdown-rates.single-option{
                        max-width: 130px;
                        min-width: 130px;

                        @include mq("tablet", 'max') {
                            max-width: 100px;
                            min-width: 100px;
                        }
                   }
                }
            }

            &.approved{
                pointer-events: unset;
                opacity: 1;
            }
        }
    }
}

.siblings-col{
    max-width: 290px;
    width: 100%;

    @include mq("tablet", 'max') {
        max-width: unset;
        min-width: 100%;
        margin: 0;
    }

    &:first-child{

        @include mq("tablet", 'max') {
            margin-bottom: 20px;
        }
    }

    .sibling-height{
        height: 274px;
    }
}

.picture-container,
.video-container{
    padding: 20px 0;
    border-bottom: 1px solid #eeece9;
    margin: 20px 0;

    .picture-info,
    .video-info{

        @include mq("tablet", 'min') {
            margin-right: 50px;
        }
    }

    .image{
        display: flex;
        align-items: center;
        justify-content: center;
        width: 60px;
        min-width: 60px;
        height: 60px;
        min-height: 60px;
        background-color: #f2efeb;
        background-size: cover;
        background-repeat: no-repeat;
        border-radius: 4px;
        margin-right: 12px;
    }

    .title{
        font-size: 16px;
        line-height: 24px;
        font-weight: 600;
        color: #75726e;
    }

    .title-info{
        font-size: 14px;
        line-height: 16px;
    }

    .add-photo,
    .replace-photo,
    .add-video,
    .replace-video{

        @include mq("tablet", 'max') {
            margin-left: 72px;
            margin-top: 10px;
        }
    }
}

.picture-container{

    &:not(.havePicture){

        .image{

            &:before{
                @include font-pseudo('Font Awesome 5 Free', "\f03e", #8c8c8c, 24px, absolute);
                font-weight: 900;
            }
        }

        .replace-photo{
            display: none;
        }
    }

    &.havePicture{

        .add-photo{
            display: none;
        }
    }
}

.video-container{

    &:not(.haveVideo){

        .image{

            &:before{
                @include font-pseudo('Font Awesome 5 Free', "\f167", #8c8c8c, 24px, absolute);
                font-weight: 900;
            }
        }

        .replace-video{
            display: none;
        }
    }

    &.haveVideo{

        .add-video{
            display: none;
        }
    }
}

.black-list-item,
.support-ticket{
    padding-bottom: 20px;
    margin-bottom: 20px;
    border-bottom: 1px solid #eeece9;

    .item-name{
        font-weight: 600;
        margin-bottom: 5px;
    }

    p{
        font-size: 16px;
        line-height: 18px;
    }
}

.follower-item{
    padding-bottom: 10px;
    margin-bottom: 10px;
    border-bottom: 1px solid #eeece9;

    &:last-child{
        margin-bottom: 0;
    }

    .avatar{
        width: 50px;
        min-width: 50px;
        height: 50px;
        min-height: 50px;
        background-color: #f2efeb;
        background-size: cover;
        background-repeat: no-repeat;
        border-radius: 50%;
        margin-right: 12px;
    }

    .follower-info{

        .follower-name{
            font-weight: 600;
            font-size: 16px;
            line-height: 18px;

            .status{
                position: relative;
                color: #77c336;
                padding-left: 9px;
                margin-left: 5px;
                font-size: 12px;

                &:before{
                    content: "";
                    position: absolute;
                    left: 0;
                    top: 5px;
                    transform: translateY(-50%);
                    width: 6px;
                    height: 6px;
                    border-radius: 50%;
                    background-color: #77c336;
                }
            }
        }

        .follower-info{
            font-size: 14px;
            line-height: 16px;
        }
    }
}

.review-item{
    padding-bottom: 30px;
    border-bottom: 1px solid #e8e8e8;
    margin-bottom: 20px;

    .section-title{
        font-weight: 600;
        font-size: 14px;
    }

    .name{
        font-size: 18px;
        line-height: 20px;
        margin-bottom: 10px;
        color: #1c1d22;

        .avatar{
            background-color: #f4f5f7;
            width: 32px;
            height: 32px;
            display: flex;
            align-items: center;
            justify-content: center;
            border-radius: 50%;
            margin-right: 10px;

            i{
                font-size: 15px;
                color: #8d8c8c;
            }
        }

        .name-date{
            font-size: 14px;
            line-height: 16px;
            margin-bottom: 2px;
            color: #1c1d22;
            font-weight: 600;

            @include mq("tablet", "max") {
                display: flex;
                align-items: center;
                margin: 0;
            }

            .date{
                color: #858484;
                font-size: 13px;
                line-height: 14px;
                font-weight: 500;
                margin: 0;

                @include mq("tablet", "max") {
                    margin-left: 5px;
                }
            }
        }
    }

    .notes{
        color: #858484;
        font-size: 14px;
        line-height: 16px;
        margin-bottom: 5px;

        @include mq("tablet", "max") {
            flex-wrap: wrap;
            }

        & > div{

            &:first-child{
                margin-right: 20px;

                @include mq("tablet", "max") {
                    margin: 0;
                }
            }

            i{

                &.active{
                    color: #dd9700;
                }
            }
        }
    }

    .escort-details-full{

        p{
            font-size: 16px;
            line-height: 18px;
        }
    }

    .group-details{
        flex: 1;

        @include mq("tablet", "min") {

            &:first-child{
                margin-right: 40px;
            }
        }

        @include mq("tablet", 'max') {
            min-width: 100%;
        }

        .subtitle{
            color: #8b8277;
            min-width: 100px;
        }

        .d-flex{
            margin-bottom: 2px;

            &:last-child{
                margin-bottom: 0;
            }

            div{

                &:last-child{
                    text-align: right;
                }
            }
        }
    }

    .review-comment{
        font-size: 16px;
        line-height: 18px;

        span{
            font-weight: 700;
        }
    }

    .extra-info-container{
        display: none;
    }

    .comment-container{
        display: none;
        position: relative;

        .submit-post{
            position: absolute;
            bottom: 20px;
            right: 20px;
        }
    }
}

.settings-list{

    .setting-item{
        padding-bottom: 10px;
        margin-bottom: 10px;
        border-bottom: 1px solid #eeece9;
    }
}

.gallery-container{
    justify-content: space-between;

    @include mq("tablet", 'max') {
        justify-content: center;
    }

    .image-item{
        position: relative;
        margin-bottom: 10px;

        .image{
            width: 265px;
            height: 265px;
            background-size: cover;
            background-position: top center;
            background-repeat: no-repeat;
            border-radius: 3px;
            -webkit-box-shadow: inset 0px -35px 60px -15px rgba(0,0,0,0.75);
            -moz-box-shadow: inset 0px -35px 60px -15px rgba(0,0,0,0.75);
            box-shadow: inset 0px -35px 60px -15px rgba(0,0,0,0.75);
        }

        .pending-info{
            display: none;
        }

        .options-bar{
            position: absolute;
            bottom: 0;
            left: 0;
            width: 100%;
            color: #fff;
            font-size: 14px;
            line-height: 16px;

            .likes-container{
                padding: 15px 10px 15px 20px;
                cursor: pointer;

                .likes{
                    margin-right: 5px;
                    background-color: #ad36c2;
                    height: 20px;
                    width: 20px;
                    border-radius: 50%;
                    display: flex;
                    justify-content: center;
                    align-items: center;

                    i{
                        font-size: 10px;
                    }
                }
            }

            .settings-container{

                .picture-status{
                    margin-right: 10px;
                }

                .settings-trigger{
                    cursor: pointer;
                    padding: 15px 20px 15px 10px;;
                }

                .settings-list{
                    display: none;
                    position: absolute;
                    bottom: 40px;
                    right: 20px;
                    background-color: #fff;
                    color: #222;
                    padding: 10px;
                    border-radius: 3px;

                    .setting{
                        padding: 10px;
                        font-size: 14px;
                        line-height: 10px;
                        cursor: pointer;
                    }
                }
            }
        }

        &.pending{

            &:before{
                content: "";
                position: absolute;
                width: 100%;
                height: 100%;
                background-color: rgba(0,0,0,0.6);
                border-radius: 3px;
            }

            .options-bar{
                display: none !important;
            }

            .pending-info{
                display: block;
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                width: 160px;
                text-align: center;
                color: #fff;

                i{
                    font-size: 40px;
                    margin-bottom: 15px;
                }

                p{
                    font-size: 14px;
                    line-height: 16px;
                }
            }
        }

        &.video{

            .likes-container > *,
            .picture-status{
                display: none !important;
            }

            &:after{
                @include font-pseudo('Font Awesome 5 Free', "\f167", #8c8c8c, 40px, absolute);
                font-weight: 900;
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
                color: #fff;
            }
        }
    }
}

.overview-container{

    .overview-item{
        border-bottom: 1px solid #eeeff1;
        margin-bottom: 5px;

        .overview-start{

            .overview-name{
                min-width: 120px;
            }
        }
    }
}

.blacklist-warning{

    .image{
        min-width: 265px;
        min-height: 265px;

        @include mq("tablet", 'min') {

            &:nth-of-type(2n){
                margin-left: 10px;
            }
        }

        @include mq("tablet", 'max') {
            margin-top: 10px;
        }
    }
}

.escort-container-info{

    .image{

        @include mq("tablet", 'min') {
            width: 120px;
            height: 120px;
            margin-right: 20px;
            border-radius: 5px;
        }

        @include mq("tablet", 'max') {
            width: 100%;
            height: 240px;
        }
    }

    .escort-info{

        @include mq("tablet", 'max') {
            width: 100%;
            text-align: center;
        }
    }
}

.escort-manager{

    .filter-selection{

        @include mq("tablet", 'max') {
            width: 100%;
            margin-bottom: 10px;
        }

        a{
            font-weight: 600;
            color: #20264a;
            font-size: 13px;
            line-height: 13px;
            margin-right: 10px;
            text-transform: uppercase;

            &.active{
                padding: 10px 17px;
                background: #1a1f3c;
                color: #ffffff;
            }
        }
    }

    .filter-dropdown{

        @include mq("tablet", 'max') {
            position: relative;
            width: 100%;
        }

        .dropdown-toggle{
            display: block;
            background-color: #eeeff1;
            padding: 3px 10px;
            border-radius: 2px;
            font-size: 14px;

            @include mq("tablet", 'min') {
                min-width: 170px;
            }

            @include mq("tablet", 'max') {
                padding: 10px;
            }

            &:after{
                position: absolute;
                top: 50%;
                right: 10px;
                transform: translateY(-50%);

            }
        }
    }

    .escort-container-info{
        padding: 10px 0;
        border-bottom: 1px solid #eeece9;

        .escort-id{
            font-size: 14px;
            line-height: 14px;
        }

        .option-container{
            margin-top: 40px;

            @include mq("tablet", 'max') {
                margin-top: 20px;
            }

            a{
                font-weight: 600;
                color: #20264a;
                font-size: 13px;
                line-height: 13px;
                margin-right: 10px;

                @include mq("tablet", 'max') {
                    margin: 0;
                    padding: 10px 0;
                    width: 50%;
                    text-align: center;
                }
            }
        }
    }
}